Skip to main content
`Ctrl`+`K`

# PetscObjectGetFortranCallback

get Fortran callback function pointer and context

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectGetFortranCallback(PetscObject obj, PetscFortranCallbackType cbtype, PetscFortranCallbackId cid, void (**func)(void), void **ctx)

Logically Collective, No Fortran Support

## Input Parameters

- obj - object on which to get callback

- cbtype - callback type

- cid - address of callback Id

## Output Parameters

- func - Fortran function (or `NULL` if not needed)

- ctx - Fortran context (or `NULL` if not needed)

## Note

This is used to help manage user callback functions that were provided in Fortran

## See Also

`PetscObjectSetFortranCallback()`, `PetscFortranCallbackRegister()`, `PetscFortranCallbackGetSizes()`

## Level

developer

## Location

src/sys/objects/inherit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages